I=(S=Uno.Sphere = function(){
    this.Center = new Uno.Float3;
    this.Radius = 0.0;
}).prototype;

I.ToString = function()
{
    return "Uno.Sphere";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(center, radius) {
    var $this = new Uno.Sphere;
    $this.Center = center;
    $this.Radius = radius;
    return $this;
};

S.$1 = function(p) {
    var $this = new Uno.Sphere;
    $this.Center = p;
    $this.Radius = 1e-05;
    return $this;
};

S.$2 = function(a, b) {
    var $this = new Uno.Sphere;
    var v = Uno.Float3.operator_Mul_1(Uno.Float3.operator_Sub(b, a), 0.5);
    $this.Center = Uno.Float3.operator_Add(a, v);
    $this.Radius = Uno.Vector.Length(v) + 1e-05;
    return $this;
};

S.$3 = function(box) {
    var $this = new Uno.Sphere;
    $this.Center = box.Center();
    $this.Radius = Uno.Distance.PointPoint($this.Center, box.Minimum);
    return $this;
};
